
a {
    color: #9311A8;
    text-decoration: none;
}

a:hover {
    background: #ddd;
}

body::-webkit-scrollbar {
    width: 6px;
}
body::-webkit-scrollbar-track {
    background: #f8f8f8;
}
body::-webkit-scrollbar-thumb {
    background-color: #666;
    border-radius: 3px;
}


header {
    text-align: center;
    padding: 16px 8px;
}
header img {
    max-width: 100%;
    height: auto;
  
}
.site-name {
    margin-top: 10px;
    font: 28px 'Homemade apple';
    letter-spacing: 3px;
    color: #8C16A8;
}
.slogan {
    font:italic 14px Georgia, Arial;
    margin-top: 5px;
    color:#560C96;
}

nav {
    text-align: center;
    padding: 6px 4px;
    margin-bottom: 10px;
}
nav a {
    text-transform: lowercase;
    letter-spacing: 2px;
    background: #fff;
    display: inline-flex;
    align-items: center;
    padding: 4px 6px;
    margin-right: 4px;
    font:italic 12px georgia, arial;
    color:#333;
    border-radius:5px;
}
nav a img {
    vertical-align: middle;
    margin-right: 4px;
}

#content {
    display: flex;
    gap: 10px;
    border-top: 1px dotted #1B8D8F;
    padding-top: 10px;
}


.title {
    font-size: 16px;
    margin-bottom: 4px;
    color:#9311A8;
}

.divider {
    height: 0;
    border-bottom: 1px dotted #1BAFB3;
    margin: 6px 0;
}

main {
    flex: 1;
    padding: 8px;
    border-left: 1px dotted #1BAFB3;
    border-right: 1px dotted #1BAFB3;
}

.main-title {
    color: #9E28B8;
    font-size: 40px;
    margin: 0 0 6px;
    letter-spacing: 2px;
    line-height: 20px;
    text-align: center;
}

footer {
    border-top: 1px dotted #1BAFB3;
    text-align: center;
    padding: 22px 8px;
    font-size: 12px;
}

@media(max-width: 600px){
    #content {
        flex-direction: column;
        gap: 12px;
    }
    .sidebar {
        width: auto;
        padding: 4px;
    }
    main {
        border-left: none;
        border-right: none;
        padding: 8px;
    }
    nav {
        font-size: 10px;
        padding: 6px 4px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    nav a {
        margin: 4px 0;
        width: 100%;
        justify-content: center;
    }
}


/* The grid: Four equal columns that floats next to each other */
.column {
  float: left;
  width: 25%;
  padding: 10px;
}

/* Style the images inside the grid */
.column img {
  opacity: 0.8;
  cursor: pointer;
}

.column img:hover {
  opacity: 1;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* The expanding image container (positioning is needed to position the close button and the text) */
.container {
  position: relative;
  display: none;
  max-width: 50%;
}

/* Expanding image text */
#imgtext {
  position: absolute;
  bottom: 15px;
  left: 15px;
  color: white;
  font-size: 20px;
}

/* Closable button inside the image */
.closebtn {
  position: absolute;
  top: 10px;
  right: 15px;
  color: white;
  font-size: 35px;
  cursor: pointer;
}